-- Hibernate feature : loads "classpath:import.sql" if the schema has been created from scratch (cf. ddl-auto)
-- ------------------

-- Create users
INSERT INTO PACT_T_USER (USER_N_ID, USER_V_USERNAME) VALUES (1, 'user1');
INSERT INTO PACT_T_USER (USER_N_ID, USER_V_USERNAME) VALUES (2, 'user2');
INSERT INTO PACT_T_USER (USER_N_ID, USER_V_USERNAME) VALUES (3, 'user3');

-- Create an operation without privileged action and 2 attachments
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (1101, '1', PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (1701, NULL, 'imprimeur-1', 'Imprimeur 1', FALSE, '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (1801, 1701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (1201, '201710VP', '201710VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'VALIDATED', PARSEDATETIME('2017-10-23 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 1701, 'GE', 1,
        PARSEDATETIME('2017-10-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2017-10-20 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_TEST = 1201 WHERE OP_N_ID = 1101;

INSERT INTO PACT_T_ATTACHMENT (ATTACH_N_ID, ATTACH_V_NAME, ATTACH_V_TYPE,
                               ATTACH_V_FILE_HASH, ATTACH_D_IMPORT_DATE)
VALUES (1301, 'Piece jointe 1', 'OPERATION_REPOSITORY_VOTATION', '6153A6FA0E4880D9B8D0BE4720F78E895265D0A9',
        PARSEDATETIME('2017-02-18 12:15:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_ATTACHMENT (ATTACH_N_ID, ATTACH_V_NAME, ATTACH_V_TYPE,
                               ATTACH_V_FILE_HASH, ATTACH_D_IMPORT_DATE)
VALUES (1301, 'Fichier de traduction 1', 'OPERATION_TRANSLATION_FILE', '6153A6FA0E4880D9B8D0BE4720F78E895265D0A9',
        PARSEDATETIME('2017-02-18 12:15:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_OPERATION_REF_FILE (ATTACH_N_ID, ORF_OPERATION_CONFIGURATION_ID, ORF_V_MESSAGE_ID, ORF_D_GENERATION_DATE,
                                       ORF_V_SRC_APP_MANUFACTURER, ORF_V_SRC_APP_PRODUCT, ORF_V_SRC_APP_PRODUCT_VERSION,
                                       ORF_V_SIGNATURE_AUTHOR, ORF_D_SIGNATURE_EXPIRY_DATE, ORF_V_SIGNATURE_STATUS)
VALUES (1301, 1201, 'aaa-bbb-101', PARSEDATETIME('2018-01-20 13:15:00', 'yyyy-MM-dd HH:mm:ss'), 'SESAM-SG',
        'Materiel de vote', 'V3', 'albert@etat-ge-ch',
        PARSEDATETIME('2018-02-18 12:15:00', 'yyyy-MM-dd HH:mm:ss'), 'OK');

INSERT INTO PACT_T_ATTACHMENT (ATTACH_N_ID, ATTACH_V_NAME, ATTACH_V_TYPE,
                               ATTACH_V_FILE_HASH, ATTACH_D_IMPORT_DATE)
VALUES (1302, 'Piece jointe 2', 'DOMAIN_OF_INFLUENCE', '11F453355B28E1158D4E516A2D3EDF96B3450406',
        PARSEDATETIME('2017-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_OPERATION_REF_FILE (ATTACH_N_ID, ORF_OPERATION_CONFIGURATION_ID, ORF_V_MESSAGE_ID, ORF_D_GENERATION_DATE,
                                       ORF_V_SRC_APP_MANUFACTURER, ORF_V_SRC_APP_PRODUCT, ORF_V_SRC_APP_PRODUCT_VERSION,
                                       ORF_V_SIGNATURE_AUTHOR, ORF_D_SIGNATURE_EXPIRY_DATE, ORF_V_SIGNATURE_STATUS)
VALUES (1302, 1201, 'aaa-bbb-102', PARSEDATETIME('2017-11-29 07:35:00', 'yyyy-MM-dd HH:mm:ss'), 'SESAM-GE',
        'Trucs divers', 'V1', 'bernadette@etat-ge-ch',
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'), 'INVALID_SIGNATURE');

INSERT INTO PACT_T_SITE_CONFIGURATION (SC_N_ID, SC_OPERATION_CONFIGURATION_ID, SC_V_BALLOT,
                                       SC_B_DISPLAY_CANDIDATE_SEARCH_FORM, SC_B_ALLOW_LIST_CHANGE,
                                       SC_B_DISPLAY_EMPTY_POSITION, SC_B_DISPLAY_CANDIDATE_POSITION_ON_COMPACT_BALLOT,
                                       SC_B_DISPLAY_CANDIDATE_POSITION_ON_MODIFIED_BALLOT, SC_B_DISPLAY_SUFFRAGE_COUNT,
                                       SC_B_DISPLAY_LIST_VERIFICATION_CODE, SC_B_ALLOW_OPEN_CANDIDATURE,
                                       SC_B_ALLOW_MULTIPLE_MANDATES, SC_B_DISPLAY_VOID_ON_EMPTY_BALLOT,
                                       SC_V_CANDIDATE_INFO_DISPLAY_MODEL)
VALUES (1, 1201, 'ballot1', TRUE, FALSE, FALSE, TRUE, TRUE, TRUE, FALSE, TRUE, FALSE, FALSE, 'a');

INSERT INTO PACT_T_SC_VERIFICATION_TABLE_COLUMNS (SC_N_ID, SC_V_VERIFICATION_TABLE_COLUMNS) VALUES (1, 'b');
INSERT INTO PACT_T_SC_VERIFICATION_TABLE_COLUMNS_ORDER (SC_N_ID, SC_V_VERIFICATION_TABLE_COLUMNS_ORDER) VALUES (1, 'c');

INSERT INTO PACT_T_PROTOCOL_INSTANCE(PINSTANCE_N_ID, PINSTANCE_N_UUID, PINSTANCE_V_ENVIRONMENT, PINSTANCE_V_STATUS,
                                     PINSTANCE_N_OPERATION_CONFIGURATION_ID, PINSTANCE_N_OPERATION_ID, PINSTANCE_V_NODE_KEY)
VALUES (1401, '1', 'TEST', 'RESULTS_AVAILABLE', 1201, 1101, 'TestNode');

INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (11001, -1, 'SEND_PUBLIC_PARAMETERS', 1, 1, 1401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (11002, 0, 'REQUEST_PRIVATE_CREDENTIALS', 10, 10, 1401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (11003, 1, 'REQUEST_PRIVATE_CREDENTIALS', 10, 10, 1401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));


-- Create an operation without privileged action and without attachments
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (2101, '2', PARSEDATETIME('2017-08-21 09:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (2701, NULL, 'imprimeur-1', 'Imprimeur 1', FALSE, '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (2801, 2701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (2201, '401910VP', '401910VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'VALIDATED', PARSEDATETIME('4019-10-00 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 2701, 'GE', 1,
        PARSEDATETIME('2017-11-02 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2017-11-02 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_TEST = 2201 WHERE OP_N_ID = 2101;

INSERT INTO PACT_T_PROTOCOL_INSTANCE(PINSTANCE_N_ID, PINSTANCE_N_UUID, PINSTANCE_V_ENVIRONMENT, PINSTANCE_V_STATUS,
                                     PINSTANCE_N_OPERATION_CONFIGURATION_ID, PINSTANCE_N_OPERATION_ID, PINSTANCE_V_NODE_KEY)
VALUES (2401, '2', 'TEST', 'RESULTS_AVAILABLE', 2201, 2101, 'TestNode');


INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (21001, -1, 'SEND_PUBLIC_PARAMETERS', 1, 1, 2401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (21002, 0, 'REQUEST_PRIVATE_CREDENTIALS', 0, 10, 2401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (21003, 1, 'REQUEST_PRIVATE_CREDENTIALS', 10, 10, 2401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));

-- Create an operation with a PENDING privileged action and without attachments
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (3101, '3', PARSEDATETIME('2017-08-22 09:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (3701, NULL, 'imprimeur-1', 'Imprimeur 1', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME, MUNICIP_B_VIRTUAL)
VALUES (3801, 3701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (3201, '201802VP', '201802VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'VALIDATED', PARSEDATETIME('2018-02-12 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 3701, 'GE', 1,
        PARSEDATETIME('2018-02-11 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-11 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_TEST = 3201 WHERE OP_N_ID = 3101;

INSERT INTO PACT_T_PRIVILEGED_ACTION (PVA_N_ID, PVA_V_TYPE, PVA_V_OPERATION_NAME, PVA_D_OPERATION_DATE,
                                      PVA_D_CREATION_DATE, PVA_N_REQUESTER_ID,
                                      PVA_N_VALIDATOR_ID, PVA_V_STATUS, PVA_V_REJECTION_REASON, PVA_D_STATUS_DATE)
VALUES (3501, 'CONFIGURATION_DEPLOYMENT', '201802VP', PARSEDATETIME('2018-02-12 00:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-02 08:29:09', 'yyyy-MM-dd HH:mm:ss'), 2,
        NULL, 'PENDING', NULL, PARSEDATETIME('2018-02-03 09:21:17', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_CONFIGURATION_DEPLOYMENT (PVA_N_ID, CD_N_OPERATION_CONFIGURATION_ID)
VALUES (3501, 3201);

INSERT INTO PACT_T_PROTOCOL_INSTANCE(PINSTANCE_N_ID, PINSTANCE_N_UUID, PINSTANCE_V_ENVIRONMENT, PINSTANCE_V_STATUS,
                                     PINSTANCE_N_OPERATION_CONFIGURATION_ID, PINSTANCE_N_OPERATION_ID, PINSTANCE_V_NODE_KEY)
VALUES (3401, '3', 'TEST', 'RESULTS_AVAILABLE', 3201, 3101, 'TestNode');

INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (31001, -1, 'SEND_PUBLIC_PARAMETERS', 1, 1, 3401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (31002, 0, 'REQUEST_PRIVATE_CREDENTIALS', 0, 10, 3401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (31003, 1, 'REQUEST_PRIVATE_CREDENTIALS', 10, 10, 3401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));

-- Create an operation with a PENDING privileged action and one attachment
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (4101, '4', PARSEDATETIME('2017-08-24 09:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (4701, NULL, 'imprimeur-1', 'Imprimeur 1', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (4801, 4701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (4201, '201805VP', '201805VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'VALIDATED', PARSEDATETIME('2017-10-23 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2018-05-06 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 4701, 'GE', 1,
        PARSEDATETIME('2018-03-17 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-03-17 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_TEST = 4201 WHERE OP_N_ID = 4101;

INSERT INTO PACT_T_ATTACHMENT (ATTACH_N_ID, ATTACH_V_NAME, ATTACH_V_TYPE,
                               ATTACH_V_FILE_HASH, ATTACH_D_IMPORT_DATE)
VALUES (4301, 'Piece jointe 1', 'OPERATION_REPOSITORY_ELECTION', '2FD4E1C67A2D28FCED849EE1BB76E7391B93EB12',
        PARSEDATETIME('2017-02-25 13:15:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_OPERATION_REF_FILE (ATTACH_N_ID, ORF_OPERATION_CONFIGURATION_ID, ORF_V_MESSAGE_ID, ORF_D_GENERATION_DATE,
                                       ORF_V_SRC_APP_MANUFACTURER, ORF_V_SRC_APP_PRODUCT, ORF_V_SRC_APP_PRODUCT_VERSION,
                                       ORF_V_SIGNATURE_AUTHOR, ORF_D_SIGNATURE_EXPIRY_DATE, ORF_V_SIGNATURE_STATUS)
VALUES (4301, 4201, 'aaa-bbb-401', PARSEDATETIME('2018-01-09 21:00:23', 'yyyy-MM-dd HH:mm:ss'), 'SESAM-GE',
        'Materiel de vote', 'V5', 'hélène@etat-ge-ch',
        PARSEDATETIME('2018-02-25 12:15:00', 'yyyy-MM-dd HH:mm:ss'), 'EXPIRED_CERTIFICATE');

INSERT INTO PACT_T_PRIVILEGED_ACTION (PVA_N_ID, PVA_V_TYPE, PVA_V_OPERATION_NAME, PVA_D_OPERATION_DATE,
                                      PVA_D_CREATION_DATE, PVA_N_REQUESTER_ID,
                                      PVA_N_VALIDATOR_ID, PVA_V_STATUS, PVA_V_REJECTION_REASON, PVA_D_STATUS_DATE)
VALUES (4501, 'CONFIGURATION_DEPLOYMENT', '201805VP', PARSEDATETIME('2017-10-23 00:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-03-10 16:26:49', 'yyyy-MM-dd HH:mm:ss'), 2,
        NULL, 'PENDING', NULL, PARSEDATETIME('2018-03-11 15:12:01', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_CONFIGURATION_DEPLOYMENT (PVA_N_ID, CD_N_OPERATION_CONFIGURATION_ID)
VALUES (4501, 4201);

INSERT INTO PACT_T_PROTOCOL_INSTANCE(PINSTANCE_N_ID, PINSTANCE_N_UUID, PINSTANCE_V_ENVIRONMENT, PINSTANCE_V_STATUS,
                                     PINSTANCE_N_OPERATION_CONFIGURATION_ID, PINSTANCE_N_OPERATION_ID, PINSTANCE_V_NODE_KEY)
VALUES (4401, '4', 'TEST', 'RESULTS_AVAILABLE', 4201, 4101, 'TestNode');

INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (41001, -1, 'SEND_PUBLIC_PARAMETERS', 1, 1, 4401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (41002, 0, 'REQUEST_PRIVATE_CREDENTIALS', 0, 10, 4401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (41003, 1, 'REQUEST_PRIVATE_CREDENTIALS', 10, 10, 4401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));

-- Create an operation with an APPROVED configuration deployment action and a PENDING voting materials creation action
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (5101, '5', PARSEDATETIME('2017-08-25 09:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (5799, NULL, 'imprimeur-10', 'Imprimeur 10', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5899, 5799, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (5201, '201812VP', '201812VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'VALIDATED', PARSEDATETIME('2018-12-12 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 5799, 'GE', 1,
        PARSEDATETIME('2018-12-19 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-12-19 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_DEPLOYED = 5201 WHERE OP_N_ID = 5101;

INSERT INTO PACT_T_PRIVILEGED_ACTION (PVA_N_ID, PVA_V_TYPE, PVA_V_OPERATION_NAME, PVA_D_OPERATION_DATE,
                                      PVA_D_CREATION_DATE, PVA_N_REQUESTER_ID,
                                      PVA_N_VALIDATOR_ID, PVA_V_STATUS, PVA_V_REJECTION_REASON, PVA_D_STATUS_DATE)
VALUES (5501, 'CONFIGURATION_DEPLOYMENT', '201812VP', PARSEDATETIME('2018-12-12 00:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2017-12-10 17:36:39', 'yyyy-MM-dd HH:mm:ss'), 2,
        3, 'APPROVED', NULL, PARSEDATETIME('2017-12-17 16:00:39', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_CONFIGURATION_DEPLOYMENT (PVA_N_ID, CD_N_OPERATION_CONFIGURATION_ID)
VALUES (5501, 5201);

INSERT INTO PACT_T_VOT_MAT_CONF (VMC_N_ID, VMC_V_AUTHOR,VMC_D_SUBMISSION_DATE, VMC_V_VOTING_CARD_LABEL,
                                 VMC_V_TARGET, VMC_V_SIMULATION_NAME)
VALUES (5601, 'Fred', PARSEDATETIME('2017-11-30 16:26:49', 'yyyy-MM-dd HH:mm:ss'), 'Votation du 26 Novembre 2017',
        'REAL', NULL);

UPDATE PACT_T_OPERATION SET OP_VMC_N_ID= 5601 WHERE OP_N_ID = 5101;

INSERT INTO PACT_T_ATTACHMENT (ATTACH_N_ID, ATTACH_V_NAME, ATTACH_V_TYPE,
                               ATTACH_V_FILE_HASH, ATTACH_D_IMPORT_DATE)
VALUES (5301, 'Registre 1', 'OPERATION_REGISTER', '6153A6FA0E4880D9B8D0BE4720F78E895265D0A9',
        PARSEDATETIME('2017-02-18 12:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_OPERATION_REF_FILE (ATTACH_N_ID, ORF_OPERATION_CONFIGURATION_ID, ORF_V_MESSAGE_ID, ORF_D_GENERATION_DATE,
                                       ORF_V_SRC_APP_MANUFACTURER, ORF_V_SRC_APP_PRODUCT, ORF_V_SRC_APP_PRODUCT_VERSION,
                                       ORF_V_SIGNATURE_AUTHOR, ORF_D_SIGNATURE_EXPIRY_DATE, ORF_V_SIGNATURE_STATUS)
VALUES (5301, 5201, 'aaa-bbb-401', PARSEDATETIME('2017-03-04 11:05:00', 'yyyy-MM-dd HH:mm:ss'), 'SESAM-GE',
        'Materiel de vote', 'V5', 'hélène@etat-ge-ch',
        PARSEDATETIME('2018-02-25 12:15:00', 'yyyy-MM-dd HH:mm:ss'), 'EXPIRED_CERTIFICATE');

INSERT INTO PACT_T_VOTERS_REGISTER_FILE (ATTACH_N_ID, VRF_N_VMC_ID, VRF_N_NB_OF_VOTERS)
VALUES (5301, 5601, 55678);

INSERT INTO PACT_T_ATTACHMENT (ATTACH_N_ID, ATTACH_V_NAME, ATTACH_V_TYPE,
                               ATTACH_V_FILE_HASH, ATTACH_D_IMPORT_DATE)
VALUES (5302, 'Registre 2', 'OPERATION_REGISTER', '6153A6FA0E4880D9B8D0BE4720F78E895265D0A9',
        PARSEDATETIME('2017-02-18 12:15:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_OPERATION_REF_FILE (ATTACH_N_ID, ORF_OPERATION_CONFIGURATION_ID, ORF_V_MESSAGE_ID, ORF_D_GENERATION_DATE,
                                       ORF_V_SRC_APP_MANUFACTURER, ORF_V_SRC_APP_PRODUCT, ORF_V_SRC_APP_PRODUCT_VERSION,
                                       ORF_V_SIGNATURE_AUTHOR, ORF_D_SIGNATURE_EXPIRY_DATE, ORF_V_SIGNATURE_STATUS)
VALUES (5302, 5201, 'aaa-bbb-401', PARSEDATETIME('2017-01-18 12:15:49', 'yyyy-MM-dd HH:mm:ss'), 'SESAM-GE',
        'Materiel de vote', 'V5', 'hélène@etat-ge-ch',
        PARSEDATETIME('2018-02-25 12:15:00', 'yyyy-MM-dd HH:mm:ss'), 'EXPIRED_CERTIFICATE');

INSERT INTO PACT_T_VOTERS_REGISTER_FILE (ATTACH_N_ID, VRF_N_VMC_ID, VRF_N_NB_OF_VOTERS)
VALUES (5302, 5601, 342);

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (5701, 5601, 'imprimeur-1', 'Imprimeur 1', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5801, 5701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5802, 5701, 6612, 'Chêne-Bougeries', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5803, 5701, 6606, 'Bellevue', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5804, 5701, 6601, 'Aire-la-Ville', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5805, 5701, 6602, 'Anières', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5806, 5701, 6603, 'Avully', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5807, 5701, 6604, 'Avusy', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5808, 5701, 6605, 'Bardonnex', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5809, 5701, 6607, 'Bernex', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5810, 5701, 6630, 'Meyrin', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5811, 5701, 6628, 'Lancy', FALSE);

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5812, 5701, 100, 'Virtual', TRUE);

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (5702, 5601, 'imprimeur-de-test', 'Imprimeur de test', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (5898, 5702, 6620, 'Dardagny', FALSE);

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (5703, 5601, 'imprimeur-se', 'Imprimeur SE', TRUE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_PRIVILEGED_ACTION (PVA_N_ID, PVA_V_TYPE, PVA_V_OPERATION_NAME, PVA_D_OPERATION_DATE,
                                      PVA_D_CREATION_DATE, PVA_N_REQUESTER_ID,
                                      PVA_N_VALIDATOR_ID, PVA_V_STATUS, PVA_V_REJECTION_REASON, PVA_D_STATUS_DATE)
VALUES (5502, 'VOTING_MATERIALS_CREATION', '201812VP', PARSEDATETIME('2018-12-12 00:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2017-01-12 17:36:39', 'yyyy-MM-dd HH:mm:ss'), 1,
        NULL, 'PENDING', NULL, PARSEDATETIME('2017-01-12 17:36:39', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_VOT_MAT_CREATION (PVA_N_ID, VMCREATION_N_VMC_ID)
VALUES (5502, 5601);

-- Create an operation with an invalidated configuration
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (6101, '6', PARSEDATETIME('2019-08-25 09:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (6701, NULL, 'imprimeur-10', 'Imprimeur 10', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (6801, 6701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (6201, '201901VP', '201901VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'INVALIDATED', PARSEDATETIME('2019-01-30 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 6701, 'GE', 1,
        PARSEDATETIME('2019-12-19 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2019-12-19 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_TEST = 6201 WHERE OP_N_ID = 6101;

INSERT INTO PACT_T_PRIVILEGED_ACTION (PVA_N_ID, PVA_V_TYPE, PVA_V_OPERATION_NAME, PVA_D_OPERATION_DATE,
                                      PVA_D_CREATION_DATE, PVA_N_REQUESTER_ID,
                                      PVA_N_VALIDATOR_ID, PVA_V_STATUS, PVA_V_REJECTION_REASON, PVA_D_STATUS_DATE)
VALUES (6501, 'CONFIGURATION_DEPLOYMENT', '201901VP', PARSEDATETIME('2019-01-30 00:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2017-12-10 17:36:39', 'yyyy-MM-dd HH:mm:ss'), 2,
        3, 'APPROVED', NULL, PARSEDATETIME('2017-12-17 16:00:39', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_CONFIGURATION_DEPLOYMENT (PVA_N_ID, CD_N_OPERATION_CONFIGURATION_ID)
VALUES (6501, 6201);

INSERT INTO PACT_T_PROTOCOL_INSTANCE(PINSTANCE_N_ID, PINSTANCE_N_UUID, PINSTANCE_V_ENVIRONMENT, PINSTANCE_V_STATUS,
                                     PINSTANCE_N_OPERATION_CONFIGURATION_ID, PINSTANCE_N_OPERATION_ID, PINSTANCE_V_NODE_KEY)
VALUES (6401, '6', 'TEST', 'RESULTS_AVAILABLE', 6201, 6101, 'TestNode');

INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (61001, -1, 'SEND_PUBLIC_PARAMETERS', 1, 1, 6401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (61002, 0, 'REQUEST_PRIVATE_CREDENTIALS', 0, 10, 6401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (61003, 1, 'REQUEST_PRIVATE_CREDENTIALS', 10, 10, 6401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));

-- Create an operation with an in_validation configuration
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (7101, '7', PARSEDATETIME('2019-08-25 09:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (7701, NULL, 'imprimeur-10', 'Imprimeur 10', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (7801, 7701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (7201, '201901VP', '201901VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'NOT_YET_VALIDATED', PARSEDATETIME('2019-01-15 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 7701, 'GE', 1,
        PARSEDATETIME('2019-12-19 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2019-12-19 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_TEST = 7201 WHERE OP_N_ID = 7101;

INSERT INTO PACT_T_PROTOCOL_INSTANCE(PINSTANCE_N_ID, PINSTANCE_N_UUID, PINSTANCE_V_ENVIRONMENT, PINSTANCE_V_STATUS,
                                     PINSTANCE_N_OPERATION_CONFIGURATION_ID, PINSTANCE_N_OPERATION_ID, PINSTANCE_V_NODE_KEY)
VALUES (7401, '7', 'TEST', 'READY_TO_RECEIVE_VOTES', 7201, 7101, 'TestNode');

INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (71001, -1, 'SEND_PUBLIC_PARAMETERS', 1, 1, 7401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (71002, 0, 'REQUEST_PRIVATE_CREDENTIALS', 0, 10, 7401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (71003, 1, 'REQUEST_PRIVATE_CREDENTIALS', 10, 10, 7401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));

-- Create a operation with a REJECTED privileged action
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (8101, '8', PARSEDATETIME('2019-08-25 09:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (8701, NULL, 'imprimeur-1', 'Imprimeur 1', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (8801, 8701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (8201, '202101VP', '202101VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'VALIDATED', PARSEDATETIME('2021-01-05 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 8701, 'GE', 1,
        PARSEDATETIME('2019-12-19 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2019-12-19 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_TEST = 8201 WHERE OP_N_ID = 8101;

INSERT INTO PACT_T_PRIVILEGED_ACTION (PVA_N_ID, PVA_V_TYPE, PVA_V_OPERATION_NAME, PVA_D_OPERATION_DATE,
                                      PVA_D_CREATION_DATE, PVA_N_REQUESTER_ID,
                                      PVA_N_VALIDATOR_ID, PVA_V_STATUS, PVA_V_REJECTION_REASON, PVA_D_STATUS_DATE)
VALUES (8501, 'CONFIGURATION_DEPLOYMENT', '202101VP', PARSEDATETIME('2021-01-05 00:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2017-12-10 17:36:39', 'yyyy-MM-dd HH:mm:ss'), 2,
        3, 'REJECTED', 'Bart Simpson is not a real person',
        PARSEDATETIME('2017-12-17 16:00:39', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_CONFIGURATION_DEPLOYMENT (PVA_N_ID, CD_N_OPERATION_CONFIGURATION_ID)
VALUES (8501, 8201);

INSERT INTO PACT_T_PROTOCOL_INSTANCE(PINSTANCE_N_ID, PINSTANCE_N_UUID, PINSTANCE_V_ENVIRONMENT, PINSTANCE_V_STATUS,
                                     PINSTANCE_N_OPERATION_CONFIGURATION_ID, PINSTANCE_N_OPERATION_ID, PINSTANCE_V_NODE_KEY)
VALUES (8401, '8', 'TEST', 'RESULTS_AVAILABLE', 8201, 8101, 'TestNode');

INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (81001, -1, 'SEND_PUBLIC_PARAMETERS', 1, 1, 8401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (81002, 0, 'REQUEST_PRIVATE_CREDENTIALS', 0, 10, 8401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));
INSERT INTO PACT_T_PROTOCOL_STAGE_PROGRESS(PSP_N_ID, PSP_N_CC_INDEX, PSP_V_STAGE, PSP_N_CC_DONE,
                                           PSP_N_CC_TOTAL, PSP_N_PINSTANCE_ID, PSP_D_START_DATE,
                                           PSP_D_LAST_MODIFICATION_DATE)
VALUES (81003, 1, 'REQUEST_PRIVATE_CREDENTIALS', 10, 10, 8401,
        PARSEDATETIME('2018-02-19 12:15:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-02-19 123:15:00', 'yyyy-MM-dd HH:mm:ss'));

-- Create an operation with an APPROVED privileged action and voting materials without action
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (9101, '9', PARSEDATETIME('2017-08-25 09:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID,PCONF_V_BUSINESS_ID,  PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (9701, NULL, 'imprimeur-1', 'Imprimeur 1', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (9801, 9701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (9201, '201901VP', '201901VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'VALIDATED', PARSEDATETIME('2019-01-25 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 9701, 'GE', 1,
        PARSEDATETIME('2019-01-29 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2019-01-29 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_DEPLOYED = 9201 WHERE OP_N_ID = 9101;

INSERT INTO PACT_T_PRIVILEGED_ACTION (PVA_N_ID, PVA_V_TYPE, PVA_V_OPERATION_NAME, PVA_D_OPERATION_DATE,
                                      PVA_D_CREATION_DATE, PVA_N_REQUESTER_ID,
                                      PVA_N_VALIDATOR_ID, PVA_V_STATUS, PVA_V_REJECTION_REASON, PVA_D_STATUS_DATE)
VALUES (9501, 'CONFIGURATION_DEPLOYMENT', '201901VP', PARSEDATETIME('2019-01-25 00:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2017-12-10 17:36:39', 'yyyy-MM-dd HH:mm:ss'), 2,
        3, 'APPROVED', NULL, PARSEDATETIME('2017-12-17 16:00:39', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_CONFIGURATION_DEPLOYMENT (PVA_N_ID, CD_N_OPERATION_CONFIGURATION_ID)
VALUES (9501, 9201);

INSERT INTO PACT_T_VOT_MAT_CONF (VMC_N_ID, VMC_V_AUTHOR, VMC_D_SUBMISSION_DATE, VMC_V_VOTING_CARD_LABEL,
                                 VMC_V_TARGET, VMC_V_SIMULATION_NAME)
VALUES (9601, 'Betty', PARSEDATETIME('2017-11-30 16:26:49', 'yyyy-MM-dd HH:mm:ss'), 'Votation du 30 Janvier 2019',
        'SIMULATION', 'Simulation 1');

UPDATE PACT_T_OPERATION SET OP_VMC_N_ID= 9601 WHERE OP_N_ID = 9101;

-- Create an operation with a deployed configuration with no action and with no voting materials configuration
INSERT INTO PACT_T_OPERATION (OP_N_ID, OP_V_CLIENT_ID, OP_D_CREATION_DATE)
VALUES (10101, '10', PARSEDATETIME('2018-02-18 10:00:00', 'yyyy-MM-dd HH:mm:ss'));

INSERT INTO PACT_T_PRINTER_CONF (PCONF_N_ID, PCONF_N_VMC_ID, PCONF_V_BUSINESS_ID, PCONF_V_NAME, PCONF_B_SWISS_ABROAD, PCONF_X_PUBLIC_KEY)
VALUES (10701, NULL, 'imprimeur-1', 'Imprimeur 1', FALSE,
        '083F5FF296E14663F22A982FB524843DD872BED442EEFF2A64960B9D9D995D6DD47AF107D4AC36886B24576BE7CECC08C033B6C7066F0A4479C423BBF6D53986D560EB825B189A04FBE72E2C1CD6582D225A4B159DDA75CF9F72C90763EFE9C59570EBDC2B604220C61E5A872C9DB1681C478194EC1C2156BD34CCC615B3F6E9');

INSERT INTO PACT_T_MUNICIPALITY (MUNICIP_N_ID, MUNICIP_N_PRINTER_CONF_ID, MUNICIP_N_OFS_ID, MUNICIP_V_NAME,
                                 MUNICIP_B_VIRTUAL)
VALUES (10901, 10701, 6621, 'Genève', FALSE);

INSERT INTO PACT_T_OPERATION_CONFIGURATION (OPC_N_ID, OPC_V_OPERATION_NAME, OPC_V_OPERATION_LABEL, OPC_V_SITE_TEXT_HASH, OPC_V_VALIDATION_STATUS,
                                            OPC_D_OPERATION_DATE, OPC_D_LAST_CHANGE_DATE, OPC_V_LAST_CHANGE_USER, OPC_N_GRACE_PERIOD, OPC_N_PCONF_ID, OPC_V_CANTON, OPC_B_GROUP_VOTATION,
                                            OPC_D_SITE_OPENING_DATE, OPC_D_SITE_CLOSING_DATE)
VALUES (10201, '201810VP', '201810VP', '8f3899aead04b608c0d444a50714bc997fcc23028d4e71ce8e9323c17a798ba1',
        'VALIDATED', PARSEDATETIME('2018-10-01 00:00:00', 'yyyy-MM-dd HH:mm:ss'), PARSEDATETIME('2017-08-20 09:00:00', 'yyyy-MM-dd HH:mm:ss'), 'TEST', 200, 10701, 'GE', 1,
        PARSEDATETIME('2018-12-19 09:00:00', 'yyyy-MM-dd HH:mm:ss'),
        PARSEDATETIME('2018-12-19 12:00:00', 'yyyy-MM-dd HH:mm:ss'));

UPDATE PACT_T_OPERATION SET OP_OPC_N_ID_DEPLOYED = 10201 WHERE OP_N_ID = 10101;
